﻿using System;
using System.IdentityModel.Selectors;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 커스텀 사용자명/패스워드 검사기
    /// </summary>
    public class CustomUserNamePasswordValidator : UserNamePasswordValidator
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 무결성 조사하기 - Validate(userName, password)

        /// <summary>
        /// 무결성 조사하기
        /// </summary>
        /// <param name="userName">사용자명</param>
        /// <param name="password">패스워드</param>
        public override void Validate(string userName, string password)
        {
            if(string.IsNullOrWhiteSpace(userName) || string.IsNullOrWhiteSpace(password))
            {
                throw new ArgumentNullException();
            }

            if(!(userName == "홍길동" && password == "1234"))
            {
                throw new FaultException("사용자명 또는 패스워드가 일치하지 않습니다.");
            }
        }

        #endregion
    }
}