﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 단순 서비스 인터페이스
    /// </summary>
    [ServiceContract]
    public interface ISimpleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 서버 시간 구하기 - GetServerTime()

        /// <summary>
        /// 서버 시간 구하기
        /// </summary>
        /// <returns>서버 시간</returns>
        [OperationContract]
        string GetServerTime();

        #endregion
    }
}